System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.MarshalByRefObject System.Data.IColumnMapping System.ICloneable System.ComponentModel.TypeConverter("System.Data.Common.DataColumnMapping+DataColumnMappingConverter, System.Data, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089")

A enables you to use column names in a that are different from those in the data source. The DataAdapter uses the mapping to match the columns when the tables in the or data source are updated. For more information, see [<topic://cpconsettingupdatatabledatacolumnmappings>].

Contains a generic column mapping for an object that inherits from . This class cannot be inherited.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified source column name and column name to map to.

  The case-sensitive column name from a data source.
  The column name, which is not case sensitive, from a to map to.
  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added: an object of type 'string' To be added

  Gets or sets the name of the column within the to map to.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DefaultValue("")
- Method
  System.Data.DataColumn `` `` `` To be added

  Gets a from the given using the and the property.

  A data column.

  The to get the column from. The of the data column. One of the values. 1.0.5000.0 2.0.0.0 System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
- Method
  2.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  System.Data.DataColumn `` `` `` `` `` To be added.

  A static version of that can be called without instantiating a object.

  A object.

  The case-sensitive column name from a data source. The column name, which is not case sensitive, from a to map to. An instance of . The data type for the column being mapped. Determines the action to take when existing schema does not match incoming data.
- Property
  System.String To be added: an object of type 'string' To be added

  Gets or sets the name of the column within the data source to map from. The name is case-sensitive.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DefaultValue("")
- Method
  1.0.5000.0
  2.0.0.0
  System.Object

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For more information, see .

  Creates a new object that is a copy of the current instance.

  A copy of the current object.

- Method
  System.String To be added

  Converts the current name to a string.

  The current name as a string.

  1.0.5000.0
  2.0.0.0